Summary: RPM installer/updater config file
Name: yum-conf
Version: 309
Release: 3.LTS
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service

%description
Configuration files to setup yum.conf, as well as setup yum in you daily cron.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/yum.d
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi
exit 0

%triggerin -- firstboot
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%config %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/yum
%config %{_sysconfdir}/logrotate.d/yum
%{_sysconfdir}/yum.d/
%{_sysconfdir}/yum.conf.lts309
%{_sysconfdir}/yum.conf.lts30x
%{_sysconfdir}/yum.conf.contrib
%{_sysconfdir}/yum.conf.atrpms
%{_sysconfdir}/yum.conf.dag
%{_sysconfdir}/yum.conf.flash
%{_sysconfdir}/yum.conf.testing

%changelog
* Fri Jan 18 2008 Troy Dawson <dawson@fnal.gov> 309-3.LTS
- Fixed bug in yum.cron which did excludes wrong

* Thu Oct 25 2007 Troy Dawson <dawson@fnal.gov> 309-2.LTS
- Fixed variable problem in yum.cron

* Wed Oct 17 2007 Troy Dawson <dawson@fnal.gov> 309-1.LTS
- moved things from 30rolling to 309

* Mon Oct 8 2006 Troy Dawson <dawson@fnal.gov> 309-0.1.rolling.LTS
- moved things from 308 to 30rolling
- changed the default area to be http://linux1.fnal.gov/
- added fallback areas
- Changed the autoyum cronjob so the errata area just adds the excludes to the default yum.conf

* Mon Jun 19 2006 Troy Dawson <dawson@fnal.gov> 308-1.LTS
- moved things from 30rolling to 308

* Mon Jun 19 2006 Troy Dawson <dawson@fnal.gov> 308-0.1.rolling.LTS
- Converted everything over from S.L. 3.0.8 yum-conf

* Wed Sep 07 2005 Troy Dawson <dawson@fnal.gov> 305-4.LTS
- Added exclude=openssh* to the base-SL & errata-SL section in yum.conf
- Really changed it from 30rolling to 305

* Tue Aug 02 2005 Troy Dawson <dawson@fnal.gov> 305-3.LTS
- Added yum.conf.lts30x

* Mon Aug 01 2005 Troy Dawson <dawson@fnal.gov> 305-2.LTS
- Put in the exact-arch, and other yum.cron fixes

* Fri Jun 24 2005 Troy Dawson <dawson@fnal.gov> 305-1.LTS
- Converted 304 to 305, then converted that to 30rolling
- Put contrib section to be higher up in the priority list

* Fri Feb 04 2005 Troy Dawson <dawson@fnal.gov> 304-2.LTS
- Changed all the 30rolling to 304
- Added yum.conf.flash and yum.conf.rhaps

* Thu Dec 06 2004 Troy Dawson <dawson@fnal.gov> 304-1.LTS
- Converted 303 to 304, then converted that to 30rolling

* Tue Nov 02 2004 Troy Dawson <dawson@fnal.gov> 303-5.LTS
- still had some i386 in the yum.conf's.  remove them and put $basearch in

* Mon Sep 27 2004 Troy Dawson <dawson@fnal.gov> 303-2.SL
- removed the "notsupported" repository because it will not be in 303

* Mon Sep 20 2004 Troy Dawson <dawson@fnal.gov> 303-2.LTS
- Made it really point to 303 and not 30rolling
- Added the yum.conf.dag section

* Mon Sep 20 2004 Troy Dawson <dawson@fnal.gov> 303-1.LTS
- Changed the name to 303 from 30rolling
- added the added contrib area

* Tue Jul 20 2004 Troy Dawson <dawson@fnal.gov> 30rolling-1.LTS
- Changed it to a pure 30rolling from 302

* Tue Jul 20 2004 Troy Dawson <dawson@fnal.gov> 302-4.LTS
- Actually put in the LTS stuff, version 3.LTS had just the SL stuff.

* Thu Jul 08 2004 Troy Dawson <dawson@fnal.gov> 302-3.LTS
- Changed it for lts302.  Most important changing to work as a SL site.

* Wed Jun 09 2004 Troy Dawson <dawson@fnal.gov> - 302-2.SL
- Changed main distribution server to ftp.scientificlinux.org

* Fri May 14 2004 Troy Dawson <dawson@fnal.gov> - sl301-8
- Did a rewrite of yum.cron to allow for the distribution sites to be
  in easily modified files.
- Renamed some of the scripts in /etc/yum.d
- Fixed names in yum.conf 

* Sun Apr 18 2004 Connie Sieh <csieh@fnal.gov>
- Added tolerant=1 to yum.cron for updates so as to get as many updates as
- we can 

* Wed Mar 24 2004 Troy Dawson <dawson@fnal.gov>
- Changed the excludes file to use globs on kernel and openafs

* Thu Jan 15 2004 Troy Dawson <dawson@fnal.gov>
- Fixed a minor bug with the wget stuff

* Fri Dec 5 2003 Troy Dawson <dawson@fnal.gov>
- Changed ncftpls to wget when checking the servers

* Fri Aug 15 2003 Troy Dawson <dawson@fnal.gov>
- Updated from new yum 2.0.1, which made the following changes
- init.d script, copied straight from 2.0.1
- yum.conf (and template) added tolerant=1, exactarch=1

%changelog
* Mon Apr 7 2003 Troy Dawson <dawson@fnal.gov>
- Changed the default to 901 from 731

* Fri Apr 4 2003 Troy Dawson <dawson@fnal.gov>
- First Go at the 9.0.1 config files.

* Wed Mar 26 2003 Troy Dawson <dawson@fnal.gov>
- Split the yum-conf completely away from the yum rpm and made it release
dependant.
